com.verisign.epp.codec.registry.v02

## Class EPPRegistryDeleteCmd

- java.lang.Object
- - com.verisign.epp.codec.gen.EPPCommand
  - - com.verisign.epp.codec.gen.EPPDeleteCmd
    - - com.verisign.epp.codec.registry.v02.EPPRegistryDeleteCmd

- All Implemented Interfaces:
    EPPCodecComponent, EPPMessage, java.io.Serializable, java.lang.Cloneable

      public class EPPRegistryDeleteCmd
      extends EPPDeleteCmd

  Represents an EPP Registry <delete> command that allows a client to delete a registry object. The EPP <delete> command provides a transform operation that allows a client to delete a registry object. In addition to the standard EPP command elements, the <delete> command MUST contain a "registry:delete" element that identifies the registry namespace and the location of the registry schema.
  - A <registry:name> element that contains the fully qualified registry name of the object to be deleted. Use `getName` and `setName` to get and set the element.
  `EPPReponse` is the response associated with `EPPRegistryDeleteCmd`.
  See Also:
    `EPPResponse`, Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `ELM_LOCALNAME` XML local name for `EPPRegistryDeleteCmd`.
    `static java.lang.String` | `ELM_NAME` XML root tag for `EPPRegistryDeleteCmd`.

    - ### Fields inherited from class com.verisign.epp.codec.gen.EPPCommand

      `extensions, OP_APPROVE, OP_CANCEL, OP_QUERY, OP_REJECT, OP_REQUEST, transId, TYPE_CHECK, TYPE_CREATE, TYPE_DELETE, TYPE_INFO, TYPE_LOGIN, TYPE_LOGOUT, TYPE_POLL, TYPE_RENEW, TYPE_TRANSFER, TYPE_UPDATE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EPPRegistryDeleteCmd()` `EPPRegistryDeleteCmd` default constructor.
    `EPPRegistryDeleteCmd(java.lang.String aTransId, EPPRegistryZoneName aName)` `EPPRegistryDeleteCmd` constructor that takes the registry name as an argument.
    `EPPRegistryDeleteCmd(java.lang.String aTransId, java.lang.String aName)` `EPPRegistryDeleteCmd` constructor that takes the registry aLabel name as an argument.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `clone()` Clone `EPPRegistryDeleteCmd`.
    `protected void` | `doDecode(org.w3c.dom.Element aElement)` Decode the `EPPRegistryDeleteCmd` attributes from the aElement DOM Element tree.
    `protected org.w3c.dom.Element` | `doEncode(org.w3c.dom.Document aDocument)` Encode a DOM Element tree from the attributes of the `EPPRegistryDeleteCmd` instance.
    `boolean` | `equals(java.lang.Object aObject)` Compare an instance of `EPPRegistryDeleteCmd` with this instance.
    `EPPRegistryZoneName` | `getName()` Gets the zone name.
    `java.lang.String` | `getNamespace()` Gets the EPP command Namespace associated with `EPPRegistryDeleteCmd`.
    `void` | `setName(EPPRegistryZoneName aName)` Sets the zone name
    `void` | `setName(java.lang.String aName)` Sets the aLabel zone name

    - ### Methods inherited from class com.verisign.epp.codec.gen.EPPDeleteCmd

      `doGenDecode, doGenEncode, getType`

    - ### Methods inherited from class com.verisign.epp.codec.gen.EPPCommand

      `addExtension, decode, encode, getExtension, getExtension, getExtensions, getOp, getTransId, hasExtension, hasExtensions, hasTransId, setExtension, setExtensions, setTransId, toString`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### ELM_LOCALNAME

          public static final java.lang.String ELM_LOCALNAME

      XML local name for `EPPRegistryDeleteCmd`.
      See Also:
        Constant Field Values

    - #### ELM_NAME

          public static final java.lang.String ELM_NAME

      XML root tag for `EPPRegistryDeleteCmd`.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### EPPRegistryDeleteCmd

          public EPPRegistryDeleteCmd()

      `EPPRegistryDeleteCmd` default constructor. The name is initialized `name` to `null`. The `name` must be set before invoking `#encode(Document)`.

    - #### EPPRegistryDeleteCmd

          public EPPRegistryDeleteCmd(java.lang.String aTransId,
                                      java.lang.String aName)

      `EPPRegistryDeleteCmd` constructor that takes the registry aLabel name as an argument.
      Parameters:
        `aTransId` - transaction Id associated with command.
        `aName` - fully qualified aLabel name of zone object to delete.

    - #### EPPRegistryDeleteCmd

          public EPPRegistryDeleteCmd(java.lang.String aTransId,
                                      EPPRegistryZoneName aName)

      `EPPRegistryDeleteCmd` constructor that takes the registry name as an argument.
      Parameters:
        `aTransId` - transaction Id associated with command.
        `aName` - fully qualified name of zone object to delete.

  - ### Method Detail

    - #### getNamespace

          public java.lang.String getNamespace()

      Gets the EPP command Namespace associated with `EPPRegistryDeleteCmd`.
      Specified by:
        `getNamespace` in interface `EPPCodecComponent`
      Specified by:
        `getNamespace` in interface `EPPMessage`
      Specified by:
        `getNamespace` in class `EPPCommand`
      Returns:
        `EPPRegistryMapFactory.NS`

    - #### getName

          public EPPRegistryZoneName getName()

      Gets the zone name.
      Returns:
        Zone name if set; `null` otherwise.

    - #### setName

          public void setName(EPPRegistryZoneName aName)

      Sets the zone name
      Parameters:
        `aName` - Zone name

    - #### setName

          public void setName(java.lang.String aName)

      Sets the aLabel zone name
      Parameters:
        `aName` - aLabel zone name

    - #### equals

          public boolean equals(java.lang.Object aObject)

      Compare an instance of `EPPRegistryDeleteCmd` with this instance.
      Overrides:
        `equals` in class `EPPDeleteCmd`
      Parameters:
        `aObject` - Object to compare with
      Returns:
        `true` if this object is the same as the aObject argument; `false` otherwise

    - #### clone

          public java.lang.Object clone()
                                 throws java.lang.CloneNotSupportedException

      Clone `EPPRegistryDeleteCmd`.
      Specified by:
        `clone` in interface `EPPCodecComponent`
      Overrides:
        `clone` in class `EPPCommand`
      Returns:
        clone of `EPPRegistryDeleteCmd`
      Throws:
        `java.lang.CloneNotSupportedException` - standard Object.clone exception

    - #### doEncode

          protected org.w3c.dom.Element doEncode(org.w3c.dom.Document aDocument)
                                          throws EPPEncodeException

      Encode a DOM Element tree from the attributes of the `EPPRegistryDeleteCmd` instance.
      Specified by:
        `doEncode` in class `EPPDeleteCmd`
      Parameters:
        `aDocument` - DOM Document that is being built. Used as an Element factory.
      Returns:
        Root DOM Element representing the `EPPRegistryDeleteCmd` instance.
      Throws:
        `EPPEncodeException` - Unable to encode `EPPRegistryDeleteCmd` instance.

    - #### doDecode

          protected void doDecode(org.w3c.dom.Element aElement)
                           throws EPPDecodeException

      Decode the `EPPRegistryDeleteCmd` attributes from the aElement DOM Element tree.
      Specified by:
        `doDecode` in class `EPPDeleteCmd`
      Parameters:
        `aElement` - Root DOM Element to decode `EPPRegistryDeleteCmd` from.
      Throws:
        `EPPDecodeException` - Unable to decode aElement

Copyright © VeriSign Inc. All Rights Reserved.